components:
  schemas:

    CreateCreditCardToken:
      type: object
      required:
        - number
        - expiryDate
        - ccv
      properties:
        number:
          type: string
          pattern: '^\d{13,19}$'
          description: Credit card number (13-19 digits)
          example: "4111111111111111"
        expiryDate:
          type: string
          pattern: '^(0[1-9]|1[0-2])\/[0-9]{2}$'
          description: Expiration date (MM/YY)
          example: "12/25"
        ccv:
          type: string
          pattern: '^\d{3,4}$'
          description: Security code (3-4 digits)
          example: "123"
